SQL Server 2000 SP2/3 for MSDE 2000?

Discussion in 'Windows Desktop Systems' started by Shellhead, Jan 27, 2003.

  1. Shellhead

    Shellhead Guest

    Hey everyone,

    I did get slammed by the SQL Slammer worm. I just happen to have MSDE 2000 running on my PC but haven't used it for months.

    I was reading about the patch provided by Microsoft for SQL Server 2000 and MSDE 2000 vulnerabilities but I'm unsure about the prerequisites for the patch download. Their website says my computer needs to have SQL Server 2000 SP2 installed...so do I actually need to install this service pack for MSDE 2000 (slimmed-down version of SQL Server 2000)? I need to know so I don't end up messing things up....

    Never got a critical update or a hotfix notification for this situation. Windows Update never brought it up....oh well.

    Please let me know if I actually need to install SP2 b4 the patch or not ASAP. MSDE 2000 is turned off for the time being.


  2. Enyo

    Enyo Moderator

    I suggest you install the patch.

    Windows Update may not pick it up as required but to be sure if you need it or not use hfnetchk (or MBSA) which now supports MSDE patch detection and it will advise you if you need the patch or not.

    hfnetchk is avaliable from shavlik and microsoft.

    Check the MSDE info from:


    And MS02-061 on TechNet.